Bug 302051 - S-C-Lvm Doesn't Allow On-Line Resize
S-C-Lvm Doesn't Allow On-Line Resize
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jim Parsons
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-23 02:25 EDT by Jonathan Steffan
Modified: 2008-06-16 22:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:27:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Steffan 2007-09-23 02:25:39 EDT
Description of problem:
s-c-lvm doesn't allow online resizing of a mounted LV.

Version-Release number of selected component (if applicable):
system-config-lvm-1.1.1-1.0.fc7.noarch

How reproducible:
Always.

Steps to Reproduce:
1. system-config-lvm
2. try resizing a mounted LV
  
Actual results:
s-c-lvm complains the lv needs to be unmounted.

Expected results:
s-c-lvm resizes the lv

Additional info:
I was able to manually achieve the operation with using lvresize -L +5G
/dev/MainSysDrive/Root and resize2fs /dev/MainSysDrive/Root
Comment 2 Michal Schmidt 2007-12-06 19:44:45 EST
The bug is in system-config-lvm's version check for resize2fs in 
Filesystem.py, class ext3, function __extend_online_cmd:

    # resize2fs 1.39 and above are also able to online extend ext3
    try:
        cmd = '/sbin/resize2fs'
        o, e, s = execWithCaptureErrorStatus(cmd, [cmd])
        if (s == 0 or s == 1) and float(e.strip().split()[1]) >= 1.39:
            return (True, cmd)
    except:
        pass
    return (False, None)

On my F8 resize2fs identifies itself as:
resize2fs 1.40.2 (12-Jul-2007)

The version "1.40.2" is not convertible to float, the check raises an 
exception and (False, None) is returned.

Even Fedora Core 6 had e2fsprogs 1.39. Can you just drop the version check?
Comment 3 Bug Zapper 2008-05-14 10:27:22 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 22:27:30 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.